{% extends base %}
{% load static %}
{% load staticfiles %}
{% block content %}

    <div id="header" class="py-2">
        <h1 class="text-center text-white">My Books</h1>
    </div>
    <div class="container">
        {% if user.is_authenticated %}
            <p class="display-4">Hello, {{ user.get_full_name }}</p>
        {% endif %}
        <h6 class="mt-3">Search</h6>
        <p class="search-hover float-left mr-3" id="quilting">Quilting</p>
        <p class="search-hover float-left mr-3" id="programming">Programming</p>
        <p class="search-hover float-left mr-3" id="english">English</p>
        <h5 class="mt-5 favorited">Favorited Books: <span id="counter">{{ request.session.counter }}</span></h5>
        <table id="table" class="table table-bordered table-striped table-hover container">
            <thead class="thead-dark">
                <tr>
                    <th>Cover</th>
                    <th>Title</th>
                    <th>Author</th>
                    <th>Published Date</th>
                    <th class="text-center">Favorite</th>
                </tr>
            </thead>
            <tbody>
                {% csrf_token %}
                {% for book in request.session.books %}
                    <tr>
                        <td><img width="80" height="100" src="{{ book.volumeInfo.imageLinks.thumbnail }}"></td>
                        <td>{{ book.volumeInfo.title }}</td>
                        <td>{{ book.volumeInfo.authors.0 }}</td>
                        <td>{{ book.volumeInfo.publishedDate }}</td>
                        {% if book.id in request.session.favorited %}
                            <td class="text-center btn-favorite"><img width="25px" height="25px" onclick="removeFromFavorites(this, '{{ book.id }}')" src="{% static 'img/favorited.png' %}"></td>
                        {% else %}
                            <td class="text-center btn-favorite"><img width="25px" height="25px" onmouseenter="onHover(this)" onmouseout="offHover(this)" onclick="addToFavorites(this, '{{ book.id }}')" src="{% static 'img/default.png' %}"></td>
                        {% endif %}
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    <script rel="script" type="text/javascript" src="{% static 'js/javascript.js' %}"></script>

{% endblock %}